## org.eclipse.uml2.common.util
Class UML2Util.EClassMatcher

    java.lang.Object
      org.eclipse.uml2.common.util.UML2Util.EClassMatcher

All Implemented Interfaces:
  UML2Util.EObjectMatcher

Direct Known Subclasses:
  UML2Util.EStructuralFeatureMatcher, UMLUtil.Ecore2UMLConverter.ParameterSubstitutionMatcher, UMLUtil.PackageMerger.KeyMatcher, UMLUtil.PackageMerger.ResultingQNameMatcher, UMLUtil.PackageMerger.StringValueMatcher

Enclosing class:
  UML2Util

    public static class UML2Util.EClassMatcher

extends java.lang.Object
implements UML2Util.EObjectMatcher

A matcher that determines matches based on the class of candidate objects.

Field Summary
`protected org.eclipse.emf.ecore.EObject` `eObject`

Constructor Summary
`UML2Util.EClassMatcher(org.eclipse.emf.ecore.EObject eObject)` Constructs a new class matcher based on the specified object.

Method Summary
`boolean` `matches(org.eclipse.emf.ecore.EObject otherEObject)` Determines whether the specified object matches some criteria.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eObject

    protected final org.eclipse.emf.ecore.EObject eObject

Constructor Detail

### UML2Util.EClassMatcher

    public UML2Util.EClassMatcher(org.eclipse.emf.ecore.EObject eObject)

  Constructs a new class matcher based on the specified object.

  Parameters:
    `eObject` - The object whose class is to be used as a match criterion.

Method Detail

### matches

    public boolean matches(org.eclipse.emf.ecore.EObject otherEObject)

  Description copied from interface: `UML2Util.EObjectMatcher`
  Determines whether the specified object matches some criteria.

  Specified by:
    `matches` in interface `UML2Util.EObjectMatcher`
  Parameters:
    `otherEObject` - The candidate object.
  Returns:
    `true` if the object meets the criteria; `false` otherwise.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.